rte_dma_op(3)

NAME
rte_dma_op

SYNOPSIS

#include <rte_dmadev.h>

  Data Fields

uint64_t flags
struct rte_mempool * op_mp
enum rte_dma_status_code status
uint32_t rsvd
uint64_t impl_opaque [2]
uint64_t user_meta
uint64_t event_meta
int16_t dma_dev_id
uint16_t vchan
uint16_t nb_src
uint16_t nb_dst
struct rte_dma_sge src_dst_seg []

Detailed Description

A structure used to hold event based DMA operation entry. All the information required for a DMA transfer shall be populated in "struct rte_dma_op" instance.

Definition at line 1057 of file rte_dmadev.h.

Field Documentation

  uint64_t flags
Flags related to the operation.

See also
    RTE_DMA_OP_FLAG_*

Definition at line 1061 of file rte_dmadev.h.

  struct rte_mempool* op_mp
Mempool from which op is allocated.

Definition at line 1063 of file rte_dmadev.h.

  enum rte_dma_status_code status
Status code for this operation.

Definition at line 1065 of file rte_dmadev.h.

  uint32_t rsvd
Reserved for future use.

Definition at line 1067 of file rte_dmadev.h.

  uint64_t impl_opaque[2]
Implementation-specific opaque data. A DMA device implementation use this field to hold implementation-specific values to share between dequeue and enqueue operations. The application should not modify this field.

Definition at line 1074 of file rte_dmadev.h.

  uint64_t user_meta
Memory to store user specific metadata. The DMA device implementation should not modify this area.

Definition at line 1078 of file rte_dmadev.h.

  uint64_t event_meta
Event metadata of DMA completion event. Used when RTE_EVENT_DMA_ADAPTER_CAP_INTERNAL_PORT_VCHAN_EV_BIND is not supported in OP_NEW mode.

See also
    rte_event_dma_adapter_mode::RTE_EVENT_DMA_ADAPTER_OP_NEW

    RTE_EVENT_DMA_ADAPTER_CAP_INTERNAL_PORT_VCHAN_EV_BIND

Used when RTE_EVENT_DMA_ADAPTER_CAP_INTERNAL_PORT_OP_FWD is not supported in OP_FWD mode.

See also
    rte_event_dma_adapter_mode::RTE_EVENT_DMA_ADAPTER_OP_FORWARD

    RTE_EVENT_DMA_ADAPTER_CAP_INTERNAL_PORT_OP_FWD

    struct rte_event::event

Definition at line 1092 of file rte_dmadev.h.

  int16_t dma_dev_id
DMA device ID to be used with OP_FORWARD mode.

See also
    rte_event_dma_adapter_mode::RTE_EVENT_DMA_ADAPTER_OP_FORWARD

Definition at line 1096 of file rte_dmadev.h.

  uint16_t vchan
DMA vchan ID to be used with OP_FORWARD mode

See also
    rte_event_dma_adapter_mode::RTE_EVENT_DMA_ADAPTER_OP_FORWARD

Definition at line 1100 of file rte_dmadev.h.

  uint16_t nb_src
Number of source segments.

Definition at line 1102 of file rte_dmadev.h.

  uint16_t nb_dst
Number of destination segments.

Definition at line 1104 of file rte_dmadev.h.

  struct rte_dma_sge src_dst_seg[]
Source and destination segments.

Definition at line 1106 of file rte_dmadev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.